Page MenuHomePhabricator

Deprecate OOUI HTMLFormField "notices" in favor of "inline help"
Closed, ResolvedPublic

Description

We should deprecate the parameters 'notice-message', 'notice-messages' and 'notice' for HTMLFormField, as well as the getNotices() method, and instead implement a boolean 'help-inline' parameter corresponding to the new OOUI FieldLayout 'helpInline' config option (T185752).

The notices were implement as a workaround for bad design of OOUI FieldLayout's help messages (T104423).

It seems that only user is CentralAuth's Special:GlobalRenameRequest, implemented in https://gerrit.wikimedia.org/r/291595 (T104299).

Event Timeline

matmarex triaged this task as Low priority.Jun 13 2018, 8:02 PM
matmarex created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 8:02 PM
Vvjjkkii renamed this task from Deprecate OOUI HTMLFormField "notices" in favor of "inline help" to 41aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed matmarex as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 41aaaaaaaa to Deprecate OOUI HTMLFormField "notices" in favor of "inline help".Jul 2 2018, 9:27 AM
CommunityTechBot assigned this task to matmarex.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

instead implement a boolean 'help-inline' parameter corresponding to the new OOUI FieldLayout 'helpInline' config option

This is happening in https://gerrit.wikimedia.org/r/c/mediawiki/core/+/439925 (it also defaults to true).

Change 453486 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] HTMLForm: Deprecate parameters 'notice', 'notice-messages', 'notice-message'

https://gerrit.wikimedia.org/r/453486

Change 453487 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] HTMLForm: Remove parameters 'notice', 'notice-messages', 'notice-message'

https://gerrit.wikimedia.org/r/453487

Change 453488 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/CentralAuth@master] SpecialGlobalRenameRequest: Change 'notice-message' to 'help-message'

https://gerrit.wikimedia.org/r/453488

Changes to Special:GlobalRenameRequest:

BeforeAfter

Change 453488 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] SpecialGlobalRenameRequest: Change 'notice-message' to 'help-message'

https://gerrit.wikimedia.org/r/453488

Change 453486 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Deprecate parameters 'notice', 'notice-messages', 'notice-message'

https://gerrit.wikimedia.org/r/453486

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now deprecated; should we close this as Resolved, or do you want to actually wait for "Removed" to be the state, despite the task title? :-)

matmarex closed this task as Resolved.Aug 30 2018, 9:34 PM

Change 453487 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Remove parameters 'notice', 'notice-messages', 'notice-message'

https://gerrit.wikimedia.org/r/453487